Add 'onlynew', 'onlypatrolled', and 'hideredirect' parameters to feedrecentchanges
Open, Needs TriagePublic

Description

Often, a site owner will be using api.php?action=feedrecentchanges&namespace=0 to get an RSS or Atom feed of wiki articles, in order to show the feed on a blog or send out tweets whenever new edits are made. Readers of such feeds will typically have little interest in:

  • edits made to already-existing articles (since these could be merely incremental improvements to coverage, rather than expansions of coverage to whole new subject areas)
  • new articles that haven't been patrolled yet (and therefore could be spammy or otherwise low-quality)
  • new articles that are merely redirects to already-existing articles

Therefore, I propose to add 'onlynew', 'onlypatrolled', and 'hideredirect' parameters to feedrecentchanges.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 16 2016, 1:08 PM
Condorcent updated the task description. (Show Details)Apr 16 2016, 1:08 PM
Condorcent renamed this task from Add "excluderedirects" parameter to feedwatchlist to Add "redirect" and "!redirect" options for "wlshow" parameter to feedwatchlist.Apr 16 2016, 1:12 PM
Condorcent updated the task description. (Show Details)
Condorcent closed this task as Declined.Apr 16 2016, 2:35 PM

I decided it's probably better to use feedrecentchanges, since that doesn't limit the feed of "new" pages to those with only one revision in their history.

Condorcent renamed this task from Add "redirect" and "!redirect" options for "wlshow" parameter to feedwatchlist to Add 'onlynew', 'onlypatrolled', and 'hideredirect' parameters to feedrecentchanges.Apr 16 2016, 4:00 PM
Condorcent reopened this task as Open.
Condorcent updated the task description. (Show Details)
Anomie added a subscriber: Anomie.Apr 18 2016, 3:22 PM

will typically have little interest in

{{citation needed}}

Do *you* actually have these requirements for something you're doing?

Here's the code I came up with:

You should submit your code into Gerrit for code review. You might start with reading mw:How to become a MediaWiki hacker.

Anomie moved this task from Unsorted to In Dev on the MediaWiki-API board.Apr 18 2016, 3:22 PM
Condorcent added a comment.EditedApr 18 2016, 10:56 PM

It depends on what the target audience of the feed is. If it's targeted at people who will be looking primarily for (1) content with novelty value, (2) reasonably high-quality content, and (3) meaningful/informative content, then it would make sense to limit the feed to (1) new pages, (2) patrolled edits, and (3) non-redirect pages, respectively.

Currently, my organization has a blog with a high readership (1.29 million unique visitors per month), a forum with a high participation rate (443 posts per day), and a recently-created wiki to supplement these. So we're looking to create a Twitter feed to (a) pique potential editors' interest in all the stubs that are being created (and maybe inspire them to expand them), and (b) make all readers, including non-editors, aware of those articles so they can link to them in their own blog, social media, and forum posts. For public relations purposes, we want to avoid putting a lot of spam and vandalism in front of the Twitter audience, yet we also want to give readers some of the latest content.

For a feed that's going to be used for sending out tweets, limiting it to new articles also makes sense because the 140 characters can be used to give readers an excerpt of the new article, rather than just a diff that they would have to click on in order to make sense of what the change consists of.

Lately, the MediaWiki user base seems to have been wanting/expecting MediaWiki to have more and more of the features they're used to seeing in content management systems such as WordPress, such as email notifications (already implemented), an easy-to-use configuration and extension management console (it's getting there, slowly), etc.

Change 284386 had a related patch set uploaded (by Condorcent):
Add hideredirect, onlynew, onlypatrolled API param

https://gerrit.wikimedia.org/r/284386

Could the patch in Gerrit get a review, please? Thanks in advance!

Anomie moved this task from In Dev to Needs Review on the MediaWiki-API board.Jul 26 2016, 5:07 PM